with GNATCOM.Dispinterface;

package MSHTML.ISVGAnimatedTransformList_Interface is

   type ISVGAnimatedTransformList_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out ISVGAnimatedTransformList_Type);

   function Pointer (This : ISVGAnimatedTransformList_Type)
     return Pointer_To_ISVGAnimatedTransformList;

   procedure Attach (This    : in out ISVGAnimatedTransformList_Type;
                     Pointer : in     Pointer_To_ISVGAnimatedTransformList);

   procedure PutRef_baseVal
     (This : ISVGAnimatedTransformList_Type;
      p    : Pointer_To_ISVGTransformList);

   function Get_baseVal
     (This : ISVGAnimatedTransformList_Type)
     return Pointer_To_ISVGTransformList;

   procedure PutRef_animVal
     (This : ISVGAnimatedTransformList_Type;
      p    : Pointer_To_ISVGTransformList);

   function Get_animVal
     (This : ISVGAnimatedTransformList_Type)
     return Pointer_To_ISVGTransformList;

end MSHTML.ISVGAnimatedTransformList_Interface;

